r.param.scale(1)	      Grass User's Manual	      r.param.scale(1)



NNAAMMEE
       rr..ppaarraamm..ssccaallee  -  GRASS	module that extracts terrain parameters from a
       DEM. Uses a multi-scale approach by fitting a bivariate quadratic poly-
       nomial to a given window size using least squares.

UUssaaggee::
       rr..ppaarraamm..ssccaallee   [-c]   iinn==name	oouutt==name  [ss__ttooll==value]  [cc__ttooll==value]
       [ssiizzee==value] [ppaarraamm==name] [eexxpp==value] [zzssccaallee==value]



FFllaaggss::
       -c Constrain model through central window cell

PPaarraammeetteerrss::
	iinn Input elevation raster

	oouutt Output raster representing the selected morphometric parameter

	ss__ttooll Slope tolerance that defines a `flat' surface (degrees)

       default: 1.0

	cc__ttooll Curvature tolerance that defines `planar' surface

       default: 0.0001

	ssiizzee Size of processing window (odd numbers only)

       default: 3

	ppaarraamm Morphometric parameter to calculate

       options: elev,slope,aspect,profc,planc,longc,crosc,minic,maxic, feature

       default: elev

	eexxpp Exponent for distance weighting (0.0-4.0)

       default: 0.0

	zzssccaallee Vertical scaling factor

       default: 1.0



       The  module  calculates	the  following parameters (terminology is from
       Wood, 1996 with related terminology

       used in other GRASS modules listed in brackets)

		     elev: Generalised elevation value	(for  resampling  pur-
		     poses at different scale)

		     slope:  Magnitude	of  maximum  gradient  (steepest slope
		     angle)

		     aspect: Direction of  maximum  gradient  (steepest  slope
		     direction=flow direction)

		     _p_r_o_f_c  or	profile curvature (curvature intersecting with
		     the plane defined by _Z axis and maximum  gradient	direc-
		     tion). Positive values describe convex profile curvature,
		     negative values concave profile curvature.

		     _p_l_a_n_c or plan curvature (horizontal curvature, intersect-
		     ing with the _X_Y plane)

		     _l_o_n_g_c or longitudinal curvature (profile curvature inter-
		     secting with the plane defined by the surface normal  and
		     maximum gradient direction)

		     _c_r_o_s_c  or cross-sectional curvature (tangential curvature
		     intersecting with the plane defined by the surface normal
		     and  a  tangent to the contour - perpendicular to maximum
		     gradient direction)

		     _m_a_x_i_c or maximum curvature (can be in any direction)

		     _m_i_n_i_c or minimum curvature (in direction perpendicular to
		     the direction of of maximum curvature)

		     _m_e_a_n_c  or	mean curvature (average of maximum and minimum
		     curvatures).

		     Morphometric features: peaks, ridges,  passes,  channels,
		     pits and planes

NNOOTTEESS
       In  _r_._p_a_r_a_m_._s_c_a_l_e  the direction of maximum gradient (considered downs-
       lope) is stored as (West is 0 degree, East is +/- 180 degree):

		     0..+180 degree from West to North to East

		     0..-180 degree from West to South to East
       Note that the aspect map is calculated differently from r.slope.aspect.

SSttiillll ttoo ddoo
       Fix  bug  when `constrain through central cell' option selected. Create
       color tables for all output files (presently only on features).



SSEEEE AALLSSOO
       _d_._p_a_r_a_m_._s_c_a_l_e

       See also Java Code in LandSerf that implements the same procedure



RREEFFEERREENNCCEE
       Wood, J. (1996): The Geomorphological characterisation of Digital  Ele-
       vation Models. Diss., Department of Geography, University of Leicester,
       U.K.

       online at:

       www.geog.le.ac.uk/jwo/research/dem_char/thesis/index.html

AAUUTTHHOORR
       ASSIST's home

       Update to FP 3/2002: L. Potrich, M. Neteler, S. Menegon (ITC-irst)

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_3_/_0_3_/_1_6 _1_2_:_2_5_:_1_9 _$



GRASS 5.0						      r.param.scale(1)
